Loading...
Searching...
No Matches
Magick::Pixels Class Reference

## Public Member Functions

| Pixels (Magick::Image &image_)
Quantum * | get (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
const Quantum * | getConst (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
void * | metacontent (void)
ssize_t | offset (PixelChannel channel) const
Quantum * | set (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
void | sync (void)
::ssize_t | x (void) const
::ssize_t | y (void) const
size_t | columns (void) const
size_t | rows (void) const

## Private Member Functions

| Pixels (const Pixels &pixels_)
const Pixels & | operator= (const Pixels &pixels_)

## Private Attributes

Magick::Image | _image
MagickCore::CacheView * | _view
::ssize_t | _x
::ssize_t | _y
size_t | _columns
size_t | _rows

## Detailed Description

Definition at line 20 of file Pixels.h.

## Constructor & Destructor Documentation

## Pixels()

Magick::Pixels::Pixels | ( | Magick::Image & | image_ | ) |

Definition at line 21 of file Pixels.cpp.

: _image(image_),
_x(0),
_y(0),
_columns(0),
_rows(0)
{
GetPPException;
_view=AcquireVirtualCacheView(image_.image(),exceptionInfo),
ThrowPPException(image_.quiet());
}

## ~Pixels()

Magick::Pixels::~Pixels | ( | void |  | ) |

Definition at line 33 of file Pixels.cpp.

{
if (_view)
_view=DestroyCacheView(_view);
}

## Member Function Documentation

## columns()

size_t Magick::Pixels::columns | ( | void |  | ) | const

inline

Definition at line 143 of file Pixels.h.

{
return _columns;
}

## get()

Magick::Quantum * Magick::Pixels::get | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 39 of file Pixels.cpp.

{
_x=x_;
_y=y_;
_columns=columns_;
_rows=rows_;
GetPPException;
Quantum* pixels=GetCacheViewAuthenticPixels(_view,x_,y_,columns_,rows_,
exceptionInfo);
ThrowPPException(_image.quiet());
return pixels;
}

## getConst()

const Magick::Quantum * Magick::Pixels::getConst | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 55 of file Pixels.cpp.

{
_x=x_;
_y=y_;
_columns=columns_;
_rows=rows_;
GetPPException;
const Quantum* pixels=GetCacheViewVirtualPixels(_view,x_,y_,columns_,rows_,
exceptionInfo);
ThrowPPException(_image.quiet());
return pixels;
}

## metacontent()

void * Magick::Pixels::metacontent | ( | void |  | ) |

Definition at line 102 of file Pixels.cpp.

{
void* pixel_metacontent=GetCacheViewAuthenticMetacontent(_view);
return pixel_metacontent;
}

## offset()

ssize_t Magick::Pixels::offset | ( | PixelChannel | channel | ) | const

Definition at line 71 of file Pixels.cpp.

{
if (_image.constImage()->channel_map[channel].traits == UndefinedPixelTrait)
return -1;
return _image.constImage()->channel_map[channel].offset;
}

## rows()

size_t Magick::Pixels::rows | ( | void |  | ) | const

inline

Definition at line 149 of file Pixels.h.

{
return _rows;
}

## set()

Magick::Quantum * Magick::Pixels::set | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 78 of file Pixels.cpp.

{
_x=x_;
_y=y_;
_columns=columns_;
_rows=rows_;
GetPPException;
Quantum* pixels=QueueCacheViewAuthenticPixels(_view,x_,y_,columns_,rows_,
exceptionInfo);
ThrowPPException(_image.quiet());
return pixels;
}

## sync()

void Magick::Pixels::sync | ( | void |  | ) |

Definition at line 94 of file Pixels.cpp.

{
GetPPException;
(void) SyncCacheViewAuthenticPixels(_view,exceptionInfo);
ThrowPPException(_image.quiet());
}

## x()

ssize_t Magick::Pixels::x | ( | void |  | ) | const

inline

Definition at line 131 of file Pixels.h.

{
return _x;
}

## y()

ssize_t Magick::Pixels::y | ( | void |  | ) | const

inline

Definition at line 137 of file Pixels.h.

{
return _y;
}

## Field Documentation

## _columns

size_t Magick::Pixels::_columns

private

Definition at line 78 of file Pixels.h.

## _image

Magick::Image Magick::Pixels::_image

private

Definition at line 74 of file Pixels.h.

## _rows

size_t Magick::Pixels::_rows

private

Definition at line 79 of file Pixels.h.

## _view

MagickCore::CacheView* Magick::Pixels::_view

private

Definition at line 75 of file Pixels.h.

## _x

::ssize_t Magick::Pixels::_x

private

Definition at line 76 of file Pixels.h.

## _y

::ssize_t Magick::Pixels::_y

private

Definition at line 77 of file Pixels.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Pixels.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Pixels.cpp